/// class PD.Manage.Modules.OverviewPanelGroup
// using PD.Web.UI.Controls.Control

PD.Manage.Modules.OverviewPanelGroup =
PD.Web.UI.Controls.Control.extend({

    _data: null,

    init: function (options) {
        this._data = options;
        this._super(options);
    },

    onInit: function (e) {

        var that = this;

        _.each(this._data.modules, function (module) {
            that.get_children().add(new PD.Manage.Modules.OverviewPanelModule(module));
        });

    },

    template: function () {

        return [
            "<div class='-pd-overview-group'>",
                "<div class='-pd-overview-group-label'>",
                    this._data.area,
                "</div>",
            "</div>"
        ];

    }

});